summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
Diffstat (limited to 'regressions')
-rwxr-xr-xregressions/test-copy.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/regressions/test-copy.sh b/regressions/test-copy.sh
index 237acd0d..6cfb3f12 100755
--- a/regressions/test-copy.sh
+++ b/regressions/test-copy.sh
@@ -18,6 +18,14 @@
# Test guestfish copy-in and copy-out commands.
+# This test fails on some versions of mock which lack /dev/fd
+# directory. Skip this test in that case.
+
+test -d /dev/fd || {
+ echo "$0: Skipping this test because /dev/fd is missing."
+ exit 0
+}
+
set -e
rm -f test1.img